
Smart Proxy - Bug #1835

foreman-proxy (:puppet: true) broken with puppet-2.7.19-1.el6

08/23/2012 10:55 AM - Iounes Gardon
Assignee: Ohad Levy   

Category: Puppet   

Target version: 1.1   
Triaged:  Found in Releases:  
Pull request:    

Description

Hello,

Last night I got following packages upgraded on my centos 6.3 (x86_64) box:

Aug 22 02:20:30 Updated: puppet-2.7.19-1.el6.noarch

Aug 22 02:20:30 Updated: puppet-server-2.7.19-1.el6.noarch

Since then, foreman-proxy service refuse to start with following errors :

/usr/lib/ruby/site_ruby/1.8/puppet/parser/type_loader.rb:4: uninitialized constant Puppet::Parser (NameError)

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/resource/type_collection.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/resource/type_collection_helper.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/resource.rb:16

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet.rb:123

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/parser/parser.rb:9

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/parser.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/../lib/proxy/puppet/puppet_class.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/../lib/proxy/puppet.rb:4

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/../lib/proxy.rb:14

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/smart-proxy:8

It works fine if I disable ":puppet: true" in /etc/foreman-proxy/settings.yml but we need foreman-proxy to manage puppet.

I tried to downgrade package with "yum downgrade puppet puppet-server" :

Aug 23 16:48:11 Installed: puppet-2.7.18-1.el6.noarch

Aug 23 16:48:11 Installed: puppet-server-2.7.18-1.el6.noarch
[root@server puppet]# service foreman-proxy start

Starting foreman-proxy : WARNING: Missing SSL setup, working in clear text mode !

[  OK  ]

Related issues:

Has duplicate Smart Proxy - Bug #1833: proxy met issue with puppet 2.7.19 Duplicate 08/22/2012

Associated revisions

Revision 330dbef3 - 08/29/2012 06:47 AM - Ohad Levy

fixes #1835 - proxy now can import classes from puppet 2.7.19

History

#1 - 08/27/2012 10:43 AM - Luke Baker

I experienced the same issue when using puppet.noarch 0:2.7.19-1.el6 and puppet-server.noarch 0:2.7.19-1.el6. Here is some output from what

trying to start foreman-proxy:

Starting foreman-proxy: /usr/lib/ruby/site_ruby/1.8/puppet/parser/type_loader.rb:4: uninitialized constant Puppet::Parser (NameError)

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/resource/type_collection.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/resource/type_collection_helper.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/resource.rb:16

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet.rb:123

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/parser/parser.rb:9

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/lib/ruby/site_ruby/1.8/puppet/parser.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/../lib/proxy/puppet/puppet_class.rb:1

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/../lib/proxy/puppet.rb:4

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/../lib/proxy.rb:14

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

from /usr/share/foreman-proxy/bin/smart-proxy:8

[FAILED]

#2 - 08/29/2012 08:07 AM - Ohad Levy

- Project changed from Foreman to Smart Proxy

#3 - 08/29/2012 08:08 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 330dbef35376b88af4964b4d738c312486fbcdc0.

#4 - 08/29/2012 08:08 AM - Ohad Levy

- Category set to Puppet

- Assignee set to Ohad Levy

- Target version set to 1.1
